Future Transactions
Future transaction status
Retrieve the details and current status of a single scheduled future payment within a recurring series.
GET
/
v1
/
payments
/
recurring
/
future-transactions
/
status
/
{terminal_friendly_id}
cURL
curl --request GET \
--url https://terminal.smartretry.com/v1/payments/recurring/future-transactions/status/{terminal_friendly_id} \
--header 'x-signature: <api-key>' \
--header 'x-timestamp: <api-key>'import requests
url = "https://terminal.smartretry.com/v1/payments/recurring/future-transactions/status/{terminal_friendly_id}"
headers = {
"x-signature": "<api-key>",
"x-timestamp": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-signature': '<api-key>', 'x-timestamp': '<api-key>'}
};
fetch('https://terminal.smartretry.com/v1/payments/recurring/future-transactions/status/{terminal_friendly_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://terminal.smartretry.com/v1/payments/recurring/future-transactions/status/{terminal_friendly_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-signature: <api-key>",
"x-timestamp: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://terminal.smartretry.com/v1/payments/recurring/future-transactions/status/{terminal_friendly_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-signature", "<api-key>")
req.Header.Add("x-timestamp", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://terminal.smartretry.com/v1/payments/recurring/future-transactions/status/{terminal_friendly_id}")
.header("x-signature", "<api-key>")
.header("x-timestamp", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://terminal.smartretry.com/v1/payments/recurring/future-transactions/status/{terminal_friendly_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-signature"] = '<api-key>'
request["x-timestamp"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"future_transaction_id": "<string>",
"recurring_id": "<string>",
"scheduled_date": "<string>",
"sequence_number": 2,
"status": "pending",
"amount": 1.01,
"currency": "<string>",
"notes": "<string>",
"executed_transaction": "<string>",
"executed_at": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"reason_code": "SYSTEM/SUCCESSFUL",
"instance": "<string>",
"context": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"reason_code": "SYSTEM/SUCCESSFUL",
"instance": "<string>",
"context": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"reason_code": "SYSTEM/SUCCESSFUL",
"instance": "<string>",
"context": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"reason_code": "SYSTEM/SUCCESSFUL",
"instance": "<string>",
"context": {}
}Retrieve a future transaction by the required
future_transaction_id query parameter. Use the
recurring status endpoint to retrieve the future transactions
associated with a recurring series.Authorizations
Lowercase hex HMAC-SHA256 of {x-timestamp}.{METHOD}.{path_with_query}.{raw_body} keyed with your API secret. See https://www.smartretry.com/docs/authentication.
Current Unix time in seconds; must be within 5 minutes of server time and match the value used in the signature.
Path Parameters
The unique identifier of the terminal.
Required string length:
6Pattern:
^[\dA-Za-z]{6}$Query Parameters
The future transaction identifier.
Required string length:
8Pattern:
^[\dA-Za-z]{8}$The recurring subscription identifier this future transaction belongs to.
Required string length:
8Pattern:
^[\dA-Za-z]{8}$Response
Default Response
Required string length:
8Pattern:
^[\dA-Za-z]{8}$Required string length:
8Pattern:
^[\dA-Za-z]{8}$Scheduled date and time for this payment (ISO 8601).
Required range:
x >= 1Available options:
pending, processing, completed, skipped, failed, cancelled, expired Required range:
x >= 0.01ISO 4217 currency code, e.g. one of CurrencyKey.
Transaction ID created when this future transaction was executed.
Execution date/time (ISO 8601).
⌘I
cURL
curl --request GET \
--url https://terminal.smartretry.com/v1/payments/recurring/future-transactions/status/{terminal_friendly_id} \
--header 'x-signature: <api-key>' \
--header 'x-timestamp: <api-key>'import requests
url = "https://terminal.smartretry.com/v1/payments/recurring/future-transactions/status/{terminal_friendly_id}"
headers = {
"x-signature": "<api-key>",
"x-timestamp": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-signature': '<api-key>', 'x-timestamp': '<api-key>'}
};
fetch('https://terminal.smartretry.com/v1/payments/recurring/future-transactions/status/{terminal_friendly_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://terminal.smartretry.com/v1/payments/recurring/future-transactions/status/{terminal_friendly_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-signature: <api-key>",
"x-timestamp: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://terminal.smartretry.com/v1/payments/recurring/future-transactions/status/{terminal_friendly_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-signature", "<api-key>")
req.Header.Add("x-timestamp", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://terminal.smartretry.com/v1/payments/recurring/future-transactions/status/{terminal_friendly_id}")
.header("x-signature", "<api-key>")
.header("x-timestamp", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://terminal.smartretry.com/v1/payments/recurring/future-transactions/status/{terminal_friendly_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-signature"] = '<api-key>'
request["x-timestamp"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"future_transaction_id": "<string>",
"recurring_id": "<string>",
"scheduled_date": "<string>",
"sequence_number": 2,
"status": "pending",
"amount": 1.01,
"currency": "<string>",
"notes": "<string>",
"executed_transaction": "<string>",
"executed_at": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"reason_code": "SYSTEM/SUCCESSFUL",
"instance": "<string>",
"context": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"reason_code": "SYSTEM/SUCCESSFUL",
"instance": "<string>",
"context": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"reason_code": "SYSTEM/SUCCESSFUL",
"instance": "<string>",
"context": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"reason_code": "SYSTEM/SUCCESSFUL",
"instance": "<string>",
"context": {}
}